"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceConnection = void 0;
const tl = require("azure-pipelines-task-lib/task");
class ServiceConnection {
    constructor(serviceConnectionName) {
        this.endpointId = tl.getInput(serviceConnectionName, true);
        this.url = tl.getEndpointUrl(this.endpointId, true);
    }
    getEndpointAuthorizationParameters(keys) {
        let parameters = [];
        keys.forEach(key => {
            parameters.push({
                key: key,
                value: tl.getEndpointAuthorizationParameter(this.endpointId, key, false)
            });
        });
        return parameters;
    }
    getEndpointDataParameters(keys) {
        let parameters = [];
        keys.forEach(key => {
            parameters.push({
                key: key,
                value: tl.getEndpointDataParameter(this.endpointId, key, false)
            });
        });
        return parameters;
    }
}
exports.ServiceConnection = ServiceConnection;
//# sourceMappingURL=service-connection.js.map